visitor.hpp File Reference
`#include <type_traits>`
`#include <osmium/fwd.hpp>`
`#include <osmium/io/reader_iterator.hpp>`
`#include <osmium/memory/buffer.hpp>`
`#include <osmium/osm.hpp>`
`#include <osmium/osm/entity.hpp>`
`#include <osmium/osm/item_type.hpp>`
Include dependency graph for visitor.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

| osmium
| Namespace for everything in the Osmium library.
| osmium::memory
| Memory management of items in buffers and iterators over this data.

## Functions

template<typename... THandlers>
void | osmium::apply_item (const osmium::memory::Item &item, THandlers &...handlers)
template<typename... THandlers>
void | osmium::apply_item (osmium::memory::Item &item, THandlers &...handlers)
template<typename TIterator , typename... THandlers>
void | osmium::apply (TIterator it, TIterator end, THandlers &...handlers)
template<typename TContainer , typename... THandlers>
void | osmium::apply (TContainer &c, THandlers &...handlers)
template<typename... THandlers>
void | osmium::apply (const osmium::memory::Buffer &buffer, THandlers &...handlers)